Module: selenium-webdriver/executors
View Source

# class DeferredExecutor

All implemented interfaces:
  `webdriver.CommandExecutor`

Wraps a promised `webdriver.CommandExecutor`, ensuring no commands are executed until the wrapped executor has been fully built.

## new DeferredExecutor(delegate)

Parameters

delegate`webdriver.promise.Promise<webdriver.CommandExecutor>`

  The promised delegate.

## Instance Methods

### execute(command, callback)code »

Specified by: webdriver.CommandExecutor

Parameters

command`?`
callback`?`